// Type definitions for body-parser 1.19
// Project: https://github.com/expressjs/body-parser
// Definitions by: tranduy
// Definitions: https://github.com/DefinitelyTyped/DefinitelyTyped
/// <reference types="node" />
/// <reference types="fs" />
export type LogType = {
    DEBUG: 'DEBUG',
    INFO: 'INFO',
    ERR: 'ERR'
}
export interface StdoutOptions {
    type: LogType,
    timeUTC: string,
    args: string[]
}
export function err (...args: any[] ): void
export function info (...args: any[] ): void
export function debug (...args: any[] ): void
export function log_stdout({type, timeUTC, ...args}: StdoutOptions): void
export function clean (): void

export default log = {
    err, 
    info,
    debug,
    clean,
}