'use strict'
const fs = require('fs')
const path = require('path')
Object.defineProperty(exports, "__esModule", { value: true });
const LogType =  {
    DEBUG: 'DEBUG',
    INFO: 'INFO',
    ERROR: 'ERROR',
}
const timeUTC = (function () {
    return new Date().toString()
})()
const  log_stream = fs.createWriteStream(__dirname + '/debug.log', {flags: 'a'})
const  log_stdout = (v) => process.stdout.write(v)
function debug (...args) {
    console.log(`\x1b[0m[\x1b[35m${LogType.DEBUG}\x1b[0m] ${timeUTC}`, ...args)
    stream_out(LogType.DEBUG, timeUTC, ...args)
}
function err (...args) {
    console.log(`\x1b[0m[\x1b[31m${LogType.ERROR}\x1b[0m] ${timeUTC}`, ...args)
    stream_out(LogType.ERROR,timeUTC, ...args)
}
function info(...args) {
    console.log(`\x1b[0m[\x1b[36m${LogType.INFO}\x1b[0m] ${timeUTC}`, ...args)
    stream_out(LogType.INFO, timeUTC, ...args)
}
function stream_out (type, timeUTC,  ...args) {
    try {
        log_stream.write('[' + type + ']')
        log_stream.write(timeUTC)
        args && args.length > 0 ? args.forEach((arg, i) => typeof arg === 'string' ? log_stream.write(arg):log_stream.write(arg.toString()) ) :log_stream.write(args)
        log_stream.write('\n')
    } catch (error) {
        throw error
    }

}
function clean() {
    fs.truncate(path.join(__dirname, 'debug.log'), function(){log_stdout('delete_log_debug')})
}
exports.stream_out = stream_out
exports.info = info
exports.debug = debug
exports.err = err
exports.clean = clean